Loading...
Searching...
No Matches
iamax: Find max element
Batched LA » MAGMA BLAS and Auxiliary » Level 1: vectors operations, O(n) work

\(\text{argmax}_i\; |x_i|\) More...

## Functions

magma_int_t | magma_icamax_batched (magma_int_t length, magmaFloatComplex **x_array, magma_int_t xi, magma_int_t xj, magma_int_t lda, magma_int_t incx, magma_int_t **ipiv_array, magma_int_t ipiv_i, magma_int_t step, magma_int_t gbstep, magma_int_t *info_array, magma_int_t batchCount, magma_queue_t queue)
| ICAMAX find the index of max absolute value of elements in x and store the index in ipiv.
magma_int_t | magma_idamax_batched (magma_int_t length, double **x_array, magma_int_t xi, magma_int_t xj, magma_int_t lda, magma_int_t incx, magma_int_t **ipiv_array, magma_int_t ipiv_i, magma_int_t step, magma_int_t gbstep, magma_int_t *info_array, magma_int_t batchCount, magma_queue_t queue)
| IDAMAX find the index of max absolute value of elements in x and store the index in ipiv.
magma_int_t | magma_isamax_batched (magma_int_t length, float **x_array, magma_int_t xi, magma_int_t xj, magma_int_t lda, magma_int_t incx, magma_int_t **ipiv_array, magma_int_t ipiv_i, magma_int_t step, magma_int_t gbstep, magma_int_t *info_array, magma_int_t batchCount, magma_queue_t queue)
| ISAMAX find the index of max absolute value of elements in x and store the index in ipiv.
magma_int_t | magma_izamax_batched (magma_int_t length, magmaDoubleComplex **x_array, magma_int_t xi, magma_int_t xj, magma_int_t lda, magma_int_t incx, magma_int_t **ipiv_array, magma_int_t ipiv_i, magma_int_t step, magma_int_t gbstep, magma_int_t *info_array, magma_int_t batchCount, magma_queue_t queue)
| IZAMAX find the index of max absolute value of elements in x and store the index in ipiv.

## Detailed Description

\(\text{argmax}_i\; |x_i|\)

## Function Documentation

## magma_icamax_batched()

magma_int_t magma_icamax_batched | ( | magma_int_t | length,
|  | magmaFloatComplex ** | x_array,
|  | magma_int_t | xi,
|  | magma_int_t | xj,
|  | magma_int_t | lda,
|  | magma_int_t | incx,
|  | magma_int_t ** | ipiv_array,
|  | magma_int_t | ipiv_i,
|  | magma_int_t | step,
|  | magma_int_t | gbstep,
|  | magma_int_t * | info_array,
|  | magma_int_t | batchCount,
|  | magma_queue_t | queue )

ICAMAX find the index of max absolute value of elements in x and store the index in ipiv.

This is an internal routine that might have many assumption.

Parameters

  [in] | length | INTEGER On entry, length specifies the size of vector x. length >= 0.
  [in] | x_array | Array of pointers, dimension (batchCount). Each is a COMPLEX array of dimension
  [in] | xi | INTEGER Row offset, internal use
  [in] | xj | INTEGER Column offset, internal use
  [in] | incx | Specifies the increment for the elements of X. INCX must not be zero.
  [in] | step | INTEGER the offset of ipiv
  [in] | lda | INTEGER The leading dimension of each array A, internal use to find the starting position of x.
  [out] | ipiv_array | Array of pointers, dimension (batchCount), for corresponding matrices. Each is an INTEGER array, dimension (min(M,N)) The pivot indices; for 1 <= i <= min(M,N), row i of the matrix was interchanged with row IPIV(i).

  [out]

  info_array

  Array of INTEGERs, dimension (batchCount), for corresponding matrices.
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value or another error occured, such as memory allocation failed.
  - > 0: if INFO = i, U(i,i) is exactly zero. The factorization has been completed, but the factor U is exactly singular, and division by zero will occur if it is used to solve a system of equations.

  [in] | gbstep | INTEGER the offset of info, internal use
  [in] | batchCount | INTEGER The number of matrices to operate on.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_idamax_batched()

magma_int_t magma_idamax_batched | ( | magma_int_t | length,
|  | double ** | x_array,
|  | magma_int_t | xi,
|  | magma_int_t | xj,
|  | magma_int_t | lda,
|  | magma_int_t | incx,
|  | magma_int_t ** | ipiv_array,
|  | magma_int_t | ipiv_i,
|  | magma_int_t | step,
|  | magma_int_t | gbstep,
|  | magma_int_t * | info_array,
|  | magma_int_t | batchCount,
|  | magma_queue_t | queue )

IDAMAX find the index of max absolute value of elements in x and store the index in ipiv.

This is an internal routine that might have many assumption.

Parameters

  [in] | length | INTEGER On entry, length specifies the size of vector x. length >= 0.
  [in] | x_array | Array of pointers, dimension (batchCount). Each is a DOUBLE PRECISION array of dimension
  [in] | xi | INTEGER Row offset, internal use
  [in] | xj | INTEGER Column offset, internal use
  [in] | incx | Specifies the increment for the elements of X. INCX must not be zero.
  [in] | step | INTEGER the offset of ipiv
  [in] | lda | INTEGER The leading dimension of each array A, internal use to find the starting position of x.
  [out] | ipiv_array | Array of pointers, dimension (batchCount), for corresponding matrices. Each is an INTEGER array, dimension (min(M,N)) The pivot indices; for 1 <= i <= min(M,N), row i of the matrix was interchanged with row IPIV(i).

  [out]

  info_array

  Array of INTEGERs, dimension (batchCount), for corresponding matrices.
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value or another error occured, such as memory allocation failed.
  - > 0: if INFO = i, U(i,i) is exactly zero. The factorization has been completed, but the factor U is exactly singular, and division by zero will occur if it is used to solve a system of equations.

  [in] | gbstep | INTEGER the offset of info, internal use
  [in] | batchCount | INTEGER The number of matrices to operate on.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_isamax_batched()

magma_int_t magma_isamax_batched | ( | magma_int_t | length,
|  | float ** | x_array,
|  | magma_int_t | xi,
|  | magma_int_t | xj,
|  | magma_int_t | lda,
|  | magma_int_t | incx,
|  | magma_int_t ** | ipiv_array,
|  | magma_int_t | ipiv_i,
|  | magma_int_t | step,
|  | magma_int_t | gbstep,
|  | magma_int_t * | info_array,
|  | magma_int_t | batchCount,
|  | magma_queue_t | queue )

ISAMAX find the index of max absolute value of elements in x and store the index in ipiv.

This is an internal routine that might have many assumption.

Parameters

  [in] | length | INTEGER On entry, length specifies the size of vector x. length >= 0.
  [in] | x_array | Array of pointers, dimension (batchCount). Each is a REAL array of dimension
  [in] | xi | INTEGER Row offset, internal use
  [in] | xj | INTEGER Column offset, internal use
  [in] | incx | Specifies the increment for the elements of X. INCX must not be zero.
  [in] | step | INTEGER the offset of ipiv
  [in] | lda | INTEGER The leading dimension of each array A, internal use to find the starting position of x.
  [out] | ipiv_array | Array of pointers, dimension (batchCount), for corresponding matrices. Each is an INTEGER array, dimension (min(M,N)) The pivot indices; for 1 <= i <= min(M,N), row i of the matrix was interchanged with row IPIV(i).

  [out]

  info_array

  Array of INTEGERs, dimension (batchCount), for corresponding matrices.
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value or another error occured, such as memory allocation failed.
  - > 0: if INFO = i, U(i,i) is exactly zero. The factorization has been completed, but the factor U is exactly singular, and division by zero will occur if it is used to solve a system of equations.

  [in] | gbstep | INTEGER the offset of info, internal use
  [in] | batchCount | INTEGER The number of matrices to operate on.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_izamax_batched()

magma_int_t magma_izamax_batched | ( | magma_int_t | length,
|  | magmaDoubleComplex ** | x_array,
|  | magma_int_t | xi,
|  | magma_int_t | xj,
|  | magma_int_t | lda,
|  | magma_int_t | incx,
|  | magma_int_t ** | ipiv_array,
|  | magma_int_t | ipiv_i,
|  | magma_int_t | step,
|  | magma_int_t | gbstep,
|  | magma_int_t * | info_array,
|  | magma_int_t | batchCount,
|  | magma_queue_t | queue )

IZAMAX find the index of max absolute value of elements in x and store the index in ipiv.

This is an internal routine that might have many assumption.

Parameters

  [in] | length | INTEGER On entry, length specifies the size of vector x. length >= 0.
  [in] | x_array | Array of pointers, dimension (batchCount). Each is a COMPLEX_16 array of dimension
  [in] | xi | INTEGER Row offset, internal use
  [in] | xj | INTEGER Column offset, internal use
  [in] | incx | Specifies the increment for the elements of X. INCX must not be zero.
  [in] | step | INTEGER the offset of ipiv
  [in] | lda | INTEGER The leading dimension of each array A, internal use to find the starting position of x.
  [out] | ipiv_array | Array of pointers, dimension (batchCount), for corresponding matrices. Each is an INTEGER array, dimension (min(M,N)) The pivot indices; for 1 <= i <= min(M,N), row i of the matrix was interchanged with row IPIV(i).

  [out]

  info_array

  Array of INTEGERs, dimension (batchCount), for corresponding matrices.
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value or another error occured, such as memory allocation failed.
  - > 0: if INFO = i, U(i,i) is exactly zero. The factorization has been completed, but the factor U is exactly singular, and division by zero will occur if it is used to solve a system of equations.

  [in] | gbstep | INTEGER the offset of info, internal use
  [in] | batchCount | INTEGER The number of matrices to operate on.
  [in] | queue | magma_queue_t Queue to execute in.